问题

在Android Studio中运行项目失败,并显示以下错误:could not find any version that matches com.android.support:appcompat-v7:+

我该如何解决这个错误?


#1 热门回答(189 赞)

从Android Studio转到:工具>> Android >> SDK Manager

选择并安装"Extras | Android Support Repository"


#2 热门回答(12 赞)

也如所述onHow to update Android platform-tools in a headless linux?

android list sdk

 android update sdk --no-ui --filter extra

#3 热门回答(3 赞)

安装Extras|Android Support Repository后,它对我不起作用。然后我在app``build.gradle文件中更改了2771125640 v7:1.6tov7:1.8**。

com.android.support:appcompat-v7:1.8.+!它适合我。


原文链接